Allow users to edit via Tor while still being able to fight abuse
Closed, DeclinedPublic

Description

We're currently by default blocking Tor (bar users with exemption). This generally goes against our openness


Version: unspecified
Severity: enhancement

Details

Reference
bz69333
bzimport raised the priority of this task from to High.
bzimport set Reference to bz69333.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Aug 9 2014, 11:54 AM

I'm reasonably sure this is a WONTFIX unless there's significant demonstrable countermeasures…

Yeah, we need a better method/protocol to exempt users, but undeploying the current solution to prevent abuse from Tor users is unlikely to be the answer.

A start in the right direction would be allowing existing account holders to edit via Tor while being authenticated (i.e. removing the need for the block exception for Tor users). I doubt that would increase the amount of abuse.

Tor has put out a call to arms: https://blog.torproject.org/blog/call-arms-helping-internet-services-accept-anonymous-users

how can we quantify the loss to Wikipedia, and to society at large, from turning away anonymous contributors? Wikipedians say "we have to blacklist all these IP addresses because of trolls" and "Wikipedia is rotting because nobody wants to edit it anymore" in the same breath, and we believe these points are related.
Reedy added a comment.Aug 31 2014, 9:36 AM

This issue is starting to irritate me a little :)

Continuing to block edits from users without accounts (I'll refrain from calling those anonymous) still seems necessary. But a proposal might be,

  • Allow registering accounts from Tor where initially all edits require approval.
  • After a threshold of approved edits is crossed, the restriction is lifted.
  • Current accounts can opt into the above by flipping a bool.

That may be missing some nuance (or a whole bunch of institutional knowledge) but enumerating the issues may help move the process forward.

Qgil added a subscriber: Qgil.
Qgil added a comment.Jul 3 2015, 10:26 AM

Please confirm and promote this activity by assigning it to its owner, listing it or scheduling it at the Hackathon wiki page and by placing it in the right column at #Wikimania-Hackathon-2015. Thank you!

Qgil added a subscriber: csteipp.Jul 7 2015, 1:42 PM

@csteipp are you or anyone you know planning to work on this task at Wikimania?

csteipp set Security to None.

I will not be there to work on it. I'll post some instructions here and wikitech-l later today, if anyone wants to continue the work I started in Lyon.

In Lyon I finished https://github.com/Stype/mediawiki-proxy, which is a generic proxy that currently allows logging in via OAuth and editing wikitext. If it's running on a non-blocked IP address, then Tor users can edit through the proxy.

There's an approval flag in the database, so users who login and request access have to be "approved" at some point before they can start editing (currently, you have to update the DB manually). The process for setting that is open for ideas / experimentation. Bitcoin payments / escrow, blinded identity assertions, or just asking nicely on wiki have all been suggested. If someone wants to experiment with a particular idea, we can integrate it and set it up in labs.

Nemo_bis closed this task as Resolved.EditedDec 5 2015, 3:28 PM
Nemo_bis claimed this task.
Nemo_bis added a subscriber: Nemo_bis.

AFAICT, this is now fixed since we changed the policy: https://meta.wikimedia.org/w/index.php?title=No_open_proxies&oldid=13253140#Exceptions
I also updated the torproject wiki a while ago and now I added a link from an older page too.

JanZerebecki reopened this task as Open.Dec 5 2015, 9:44 PM

I don't see any change in policy there, editing, account creation and login (existing user) via tor is still blocked by default.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2015, 9:44 PM
Nemo_bis removed Nemo_bis as the assignee of this task.Dec 7 2015, 11:08 AM
Nemo_bis removed a subscriber: Nemo_bis.
Dzahn awarded a token.Mar 15 2016, 7:31 PM
tstarling closed this task as Declined.Jun 19 2017, 2:04 AM
tstarling added a subscriber: tstarling.

The proposal is vague, but to the extent that its meaning can be determined ("undeploying the current solution", as Eloquence puts it), consensus appears to be firmly against it. I think more specific proposals (such as Arlo's moderation queue) should be filed as separate tasks. I don't think this task is suitable as a parent task, as it is currently described, and a Tor project tag would probably be better than a parent task anyway. In summary, I'm closing this task in the hope of encouraging a more focused discussion on the future of Tor support.

Reedy added a project: Tor.Jun 19 2017, 4:58 AM
Reedy removed a subscriber: wikibugs-l-list.